D-Bus: DBusTypeWriter Struct Reference

D-Bus 1.14.4

Data Fields
DBusTypeWriter Struct Reference

The type writer is an iterator for writing to a block of values. More...

`#include <dbus-marshal-recursive.h>`

## Data Fields
dbus_uint32_t | byte_order: 8
| byte order to write values with More...
dbus_uint32_t | container_type: 8
| what are we inside? (e.g. More...
dbus_uint32_t | type_pos_is_expectation: 1
| type_pos can be either an insertion point for or an expected next type More...
dbus_uint32_t | enabled: 1
| whether to write values More...
DBusString * | type_str
| where to write typecodes (or read type expectations) More...
int | type_pos
| current pos in type_str More...
DBusString * | value_str
| where to write values More...
int | value_pos
| next position to write More...
union {
struct {
int start_pos
| position of first element in the array More...
int len_pos
| position of length of the array More...
int element_type_pos
| position of array element type in type_str More...
} array
} | u
| class-specific data

## Detailed Description

The type writer is an iterator for writing to a block of values.

Definition at line 64 of file dbus-marshal-recursive.h.

## Field Documentation

## ◆ byte_order

dbus_uint32_t DBusTypeWriter::byte_order

byte order to write values with

Definition at line 66 of file dbus-marshal-recursive.h.

Referenced by _dbus_type_writer_init().

## ◆ container_type

dbus_uint32_t DBusTypeWriter::container_type

what are we inside? (e.g.

struct, variant, array)

Definition at line 68 of file dbus-marshal-recursive.h.

Referenced by _dbus_type_writer_init(), _dbus_type_writer_unrecurse(), and _dbus_type_writer_write_fixed_multi().

## ◆ element_type_pos

int DBusTypeWriter::element_type_pos

position of array element type in type_str

Definition at line 84 of file dbus-marshal-recursive.h.

## ◆ enabled

dbus_uint32_t DBusTypeWriter::enabled

whether to write values

Definition at line 72 of file dbus-marshal-recursive.h.

Referenced by _dbus_type_writer_init().

## ◆ len_pos

int DBusTypeWriter::len_pos

position of length of the array

Definition at line 83 of file dbus-marshal-recursive.h.

## ◆ start_pos

int DBusTypeWriter::start_pos

position of first element in the array

Definition at line 82 of file dbus-marshal-recursive.h.

## ◆ type_pos

int DBusTypeWriter::type_pos

current pos in type_str

Definition at line 75 of file dbus-marshal-recursive.h.

Referenced by _dbus_type_writer_add_types(), _dbus_type_writer_init(), _dbus_type_writer_remove_types(), _dbus_type_writer_unrecurse(), and _dbus_type_writer_write_fixed_multi().

## ◆ type_pos_is_expectation

dbus_uint32_t DBusTypeWriter::type_pos_is_expectation

type_pos can be either an insertion point for or an expected next type

Definition at line 70 of file dbus-marshal-recursive.h.

Referenced by _dbus_type_writer_init(), _dbus_type_writer_init_values_only(), _dbus_type_writer_unrecurse(), _dbus_type_writer_write_basic(), and _dbus_type_writer_write_fixed_multi().

## ◆ type_str

DBusString* DBusTypeWriter::type_str

where to write typecodes (or read type expectations)

Definition at line 74 of file dbus-marshal-recursive.h.

Referenced by _dbus_type_writer_add_types(), _dbus_type_writer_init(), _dbus_type_writer_remove_types(), and _dbus_type_writer_write_basic().

## ◆ value_pos

int DBusTypeWriter::value_pos

next position to write

Definition at line 77 of file dbus-marshal-recursive.h.

Referenced by _dbus_type_writer_init(), _dbus_type_writer_unrecurse(), and _dbus_type_writer_write_fixed_multi().

## ◆ value_str

DBusString* DBusTypeWriter::value_str

where to write values

Definition at line 76 of file dbus-marshal-recursive.h.

Referenced by _dbus_type_writer_init().

The documentation for this struct was generated from the following file:

- dbus-marshal-recursive.h